Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163798 - Ejecting cd/dvd media doesn't eject the disk
Summary: Ejecting cd/dvd media doesn't eject the disk
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 05:15 UTC by Rodd Clarkson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-04 03:58:41 UTC


Attachments (Terms of Use)
Unable to Eject CD dialog (deleted)
2005-07-21 05:15 UTC, Rodd Clarkson
no flags Details

Description Rodd Clarkson 2005-07-21 05:15:16 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

When you right click > eject a mounted cd/dvd media, the media umounts, but the
disk doesn't eject resulting in an error message dialog. (attached).

Steps to Reproduce:
1. Insert CD/DVD media into an appropriate drive.  The media mounts (if
appropriate) and appears as an icon on the desktop.
2. Right click the icon and select eject.
  
Actual results:

A dialog appears saying it is unable to eject media (see attached screenshot). 
It appears that the media has umounted, but that the eject function isn't working.

Expected results:

The media should eject.

Additional info:

After inserting a DVD into the drive:

[rodd@localhost dev]$ df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda5             9.5G  5.3G  3.8G  59% /
/dev/sda3              99M   16M   79M  17% /boot
/dev/shm              506M     0  506M   0% /dev/shm
/dev/sda6              29G  5.1G   22G  19% /home
/dev/sda7             7.6G  155M  7.1G   3% /var/www
/dev/hdc              2.6G  2.6G     0 100% /media/cdrecorder


After running the eject function:

[rodd@localhost dev]$ df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/sda5             9.5G  5.3G  3.8G  59% /
/dev/sda3              99M   16M   79M  17% /boot
/dev/shm              506M     0  506M   0% /dev/shm
/dev/sda6              29G  5.1G   22G  19% /home
/dev/sda7             7.6G  155M  7.1G   3% /var/www

[rodd@localhost dev]$ eject
eject: unable to find or open device for: `cdrom'

I can eject the disk by pressing the open button on the device.

Comment 1 Rodd Clarkson 2005-07-21 05:15:17 UTC
Created attachment 117011 [details]
Unable to Eject CD dialog

Comment 2 Rodd Clarkson 2005-07-21 05:16:29 UTC
It's highly likely that this bug is related to bug 163797 (gnome cd player not
finding CD's to play) where the CD player is unable to see /dev/cdrom.

Note the output from eject.

Comment 3 Rodd Clarkson 2005-08-04 03:58:41 UTC
This seems to have resolved itself, so I'm going to mark this closed


Note You need to log in before you can comment on or make changes to this bug.